Loading...
Searching...
No Matches
RadioboxOption Struct Reference

Option for the Radiobox component. More...

## Static Public Member Functions

static RadioboxOption | Simple ()
| Option for standard Radiobox.

## Data Fields

ConstStringListRef | entries
Ref< int > | selected = 0
std::function< Element(const EntryState &)> | transform
std::function< void()> | on_change = [] {}
| Called when the selected entry changes.
Ref< int > | focused_entry = 0

## Detailed Description

Option for the Radiobox component.

Definition at line 193 of file component_options.hpp.

## Member Function Documentation

## Simple()

RadioboxOption Simple | ( |  | ) |

static

Option for standard Radiobox.

Definition at line 287 of file component_options.cpp.

## Field Documentation

## entries

ConstStringListRef entries

Definition at line 198 of file component_options.hpp.

## selected

Ref<int> selected = 0

Definition at line 199 of file component_options.hpp.

## transform

std::function<Element(const EntryState&)> transform

Definition at line 202 of file component_options.hpp.

## on_change

std::function<void()> on_change = [] {}

Called when the selected entry changes.

Definition at line 206 of file component_options.hpp.

## focused_entry

Ref<int> focused_entry = 0

Definition at line 207 of file component_options.hpp.

The documentation for this struct was generated from the following files:

- include/ftxui/component/component_options.hpp
- src/ftxui/component/component_options.cpp